Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.protocols.email.beans
Class Rfc822ContentObject

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.ContentObject
                          oracle.ifs.beans.TieContentObject
                              oracle.ifs.protocols.email.beans.Rfc822ContentObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieRfc822ContentObject

    public class Rfc822ContentObject

extends TieContentObject

The Rfc822COntentObject class

(Published)

Field Summary
`static java.lang.String` | `BODYPARTREFERENCE_ATTRIBUTE` Object reference to body parts
`static java.lang.String` | `CLASS_NAME` This class name for this class.

Fields inherited from class oracle.ifs.beans.ContentObject
`CHARACTERSET_ATTRIBUTE, CONTENT_ATTRIBUTE, CONTENTSIZE_ATTRIBUTE, FORMAT_ATTRIBUTE, LANGUAGE_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, MEDIA_ATTRIBUTE, READONLY_ATTRIBUTE, STORAGEGROUP_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session, NAME_ATTRIBUTE`

Constructor Summary
`protected` | `Rfc822ContentObject(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a Rfc822ContentObject object - standard variant.

Method Summary
`BodyPart` | `getBodyPart()` getBodyPart Get the root body part

Methods inherited from class oracle.ifs.beans.ContentObject
`constructContentObject, constructContentObjectVector, deleteUnreferenced, filterContent, generateSummary, generateThemes, getCharacterSet, getClassId, getContentByRandomAccess, getContentModificationDate, getContentReader, getContentRowId, getContentSize, getContentStream, getFilteredContent, getFormat, getLanguage, getLastAccessDate, getMedia, getPartitionValue, getRandomAccessContent, getStorageGroup, getSummary, getThemes, isReadByUser, isReadOnly, setReadByUser, setReadOnly, vectorContentObjectElement, vectorToContentObjectArray`

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, hasNameAttribute, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `Rfc822ContentObject`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### BODYPARTREFERENCE_ATTRIBUTE

    public static final java.lang.String BODYPARTREFERENCE_ATTRIBUTE

  Description copied from class: `Rfc822ContentObject`
  Object reference to body parts

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### Rfc822ContentObject

    protected Rfc822ContentObject(LibrarySession session,
                                  java.lang.Long id,
                                  java.lang.Long classId,
                                  S_LibraryObjectData data)
                           throws IfsException

  Construct a Rfc822ContentObject object - standard variant.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the ContentObject data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getBodyPart

    public BodyPart getBodyPart()
                         throws IfsException

  Description copied from class: `Rfc822ContentObject`
  getBodyPart Get the root body part

  Returns:
    the root BodyPart
  Throws:
    `IfsException`
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD